## sonnet 5.38.0

=== debian/changelog ===
sonnet (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:18:31 +0100

sonnet (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:45 +0100

sonnet (5.36.0-0ubuntu3) artful; urgency=medium

  * Revert last change. Build with hunspell again

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 20 Jul 2017 13:02:02 +0100

sonnet (5.36.0-0ubuntu2) artful; urgency=medium

  * Temporarily do not build against hunspell to avoid brokenness of a
    partial frameworks migration. Will immediately be re-enabled in a
    follow up upload, that can wait in -proposed with hunspell.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 20 Jul 2017 07:45:19 +0100

sonnet (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:40 +0100

sonnet (5.35.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild against latest hunspell

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Jun 2017 05:41:01 -0400

sonnet (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:39 +0100

sonnet (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:35 +0100

sonnet (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:04:45 +0100
