=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.49.0~),
+               extra-cmake-modules (>= 5.50.0~),
                graphviz,
                hspell,
                libaspell-dev,
@@ -17,19 +17,19 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~),
                xauth,
                xvfb,
                zlib1g-dev,
 Standards-Version: 4.1.4
 Homepage: http://projects.kde.org/sonnet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sonnet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sonnet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sonnet
 
 Package: libkf5sonnet-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5sonnet-dev-bin (= ${binary:Version}),
          libkf5sonnetcore5 (= ${binary:Version}),
          libkf5sonnetui5 (= ${binary:Version}),
@@ -43,12 +43,11 @@
  .
  This package contains development files for building software that uses
  libraries from the Sonnet framework.
-Breaks: libkf5khtml-dev (<< 5.49), libkf5textwidgets-dev (<< 5.49)
 
 Package: libkf5sonnet-dev-bin
-Section: libdevel
 Architecture: any
 Multi-Arch: foreign
+Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5sonnet-dev (<< 5.27.0)
 Replaces: libkf5sonnet-dev (<< 5.27.0)
@@ -62,6 +61,7 @@
 Package: libkf5sonnet-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: spell checking library for Qt (documentation)
  Sonnet is a Qt based library that offers easy access to spell
@@ -69,7 +69,6 @@
  Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5sonnet5-data
 Architecture: all
@@ -83,27 +82,37 @@
  This package contains the translations.
 
 Package: libkf5sonnetcore5
-Section: libs
 Architecture: any
 Multi-Arch: same
+Section: libs
 Depends: libkf5sonnet5-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: sonnet-plugins (= ${binary:Version})
+Breaks: kdesignerplugin (<< 5.42)
 Description: spell checking library for Qt, core lib
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
  Frameworks 5.
-Breaks: kdesignerplugin (<< 5.42),
-        libkf5khtml5 (<< 5.49),
-        libkf5texteditor5 (<< 5.49),
-        libkf5textwidgets5 (<< 5.49),
 
 Package: libkf5sonnetui5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: sonnet-plugins (= ${binary:Version})
+Breaks: kio (<< 5.42),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5kdelibs4support5 (<< 5.42),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.42),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.42),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.42),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui5 (<< 5.42),
 Description: spell checking library for Qt, ui lib
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -111,27 +120,10 @@
  .
  This package provides Qt based GUI elements that can be used
  by projects to construct spell checking user interfaces.
-Breaks: kdesignerplugin (<< 5.49),
-        kio (<< 5.42),
-        kross (<< 5.42),
-        ktexteditor-katepart (<< 5.42),
-        libkf5kdelibs4support5 (<< 5.42),
-        libkf5kdelibs4support5-bin (<< 5.42),
-        libkf5khtml-bin (<< 5.42),
-        libkf5khtml5 (<< 5.49),
-        libkf5krossui5 (<< 5.42),
-        libkf5mediaplayer5 (<< 5.42),
-        libkf5newstuff5 (<< 5.42),
-        libkf5parts-plugins (<< 5.42),
-        libkf5parts5 (<< 5.42),
-        libkf5texteditor5 (<< 5.49),
-        libkf5textwidgets5 (<< 5.49),
-        libkf5webkit5 (<< 5.42),
-        libkf5xmlgui5 (<< 5.42),
 
 Package: sonnet-plugins
+Architecture: any
 Section: kde
-Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: hspell
 Description: spell checking library for Qt, plugins
