=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: aspell,
-               cmake (>= 3.0~),
+               cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.51.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                hspell,
                libaspell-dev,
@@ -16,7 +16,7 @@
                libvoikko-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.9.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
                xauth,
@@ -33,7 +33,7 @@
 Depends: libkf5sonnet-dev-bin (= ${binary:Version}),
          libkf5sonnetcore5 (= ${binary:Version}),
          libkf5sonnetui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
 Recommends: libkf5sonnet-doc (= ${source:Version})
 Description: spell checking library for Qt, devel files
@@ -43,7 +43,7 @@
  .
  This package contains development files for building software that uses
  libraries from the Sonnet framework.
-Breaks: libkf5khtml-dev (<< 5.51), libkf5textwidgets-dev (<< 5.51)
+Breaks: libkf5khtml-dev (<< 5.54), libkf5textwidgets-dev (<< 5.54)
 
 Package: libkf5sonnet-dev-bin
 Section: libdevel
@@ -95,9 +95,9 @@
  checking using various plugin based backends.  It is part of KDE
  Frameworks 5.
 Breaks: kdesignerplugin (<< 5.42),
-        libkf5khtml5 (<< 5.51),
-        libkf5texteditor5 (<< 5.51),
-        libkf5textwidgets5 (<< 5.51),
+        libkf5khtml5 (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
 
 Package: libkf5sonnetui5
 Architecture: any
@@ -111,21 +111,21 @@
  .
  This package provides Qt based GUI elements that can be used
  by projects to construct spell checking user interfaces.
-Breaks: kdesignerplugin (<< 5.51),
+Breaks: kdesignerplugin (<< 5.54),
         kio (<< 5.42),
         kross (<< 5.42),
         ktexteditor-katepart (<< 5.42),
         libkf5kdelibs4support5 (<< 5.42),
         libkf5kdelibs4support5-bin (<< 5.42),
         libkf5khtml-bin (<< 5.42),
-        libkf5khtml5 (<< 5.51),
+        libkf5khtml5 (<< 5.54),
         libkf5krossui5 (<< 5.42),
         libkf5mediaplayer5 (<< 5.42),
         libkf5newstuff5 (<< 5.42),
         libkf5parts-plugins (<< 5.42),
         libkf5parts5 (<< 5.42),
-        libkf5texteditor5 (<< 5.51),
-        libkf5textwidgets5 (<< 5.51),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
         libkf5webkit5 (<< 5.42),
         libkf5xmlgui5 (<< 5.42),
